Skip to main content
Version: Development

Reply

info

Everything here can be done with the posts API. These endpoints are to help you easily understand the difference between a post and a reply.

Get Reply

GET /reply/{UUID}

Scopes

reply.get

Response

{
"uuid": "string",
"parent": "string",
"author": "string",
"content": "string",
"from": "string",
"lock": "boolean",
"replies": {"post object"}
}

Send Reply

POST /reply

Scopes

reply.get, reply.post

Body

NameTypeNotes
contentStringMax 500 Characters
lockBoolean
fromStringCan be left as null
parentStringread about Replies

Response

{
"uuid": "string",
"parent": "string",
"reply": {"post object"}
}

Update Reply

PATCH /reply/{UUID}

Scopes

reply.get, reply.edit

Body

NameTypeNotes
contentStringMax 500 Characters
lockBoolean

Response

{
"uuid": "string",
"reply": {"post object"}
}

Delete Reply

DELETE /reply/{UUID}

Scopes

reply.get, reply.delete

Response

{
"uuid": "string",
"reply": {"post object"}
}

Like/Unlike

PUT /like/{UUID}

Scopes

reply.get, reply.like

Response

{
"_message": "string"
}